<?php
/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: 3rdPartyServers.php 2398 2005-04-07 10:37:20Z radek $
*/

/**
 * @package    MaxPlugins
 * @subpackage 3rdPartyServers
 * @author     Radek Maciaszek <radek@awarez.net>
 */

require_once MAX_PATH . '/lib/max/Plugins/CommonPlugin.php';

/**
 *
 * Plugins_3rdPartyServers is an abstract class for every 3rdPartyServers plugin
 *
 * @static
 */
class Plugins_3rdPartyServers extends Max_CommonPlugin 
{
    /**
     * Return the name of plugin
     *
     * @return string
     */
    function getName()
    {
        Max::debug('Cannot run abstract method');
        exit();
    }
    
    /**
     * Return plugin cache
     *
     * @return string
     */
    function getBannerCache($bannerHtml, &$noScript)
    {
        Max::debug('Cannot run abstract method');
        exit();
    }
}

?>