<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: init-delivery.php 2514 2005-04-13 11:28:48Z radek $
*/

/**
 * @package    Max
 * @author     Scott Switzer <scott@switzer.org>
 * @author     Andrew Hill <andrew@awarez.net>
 *
 * A file to set up the environment for the Max delivery engine.
 */

require_once 'constants.php';
require_once MAX_PATH . '/lib/max/Delivery.php';

// Set $conf
$conf = $GLOBALS['_MAX']['CONF'];

// Set the log file
if ($conf['debug']['logfile']) {
    @ini_set('error_log', MAX_PATH . '/var/' . $conf['debug']['logfile']);
}

// Start benchmarking...
startBenchmark();

?>