<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TestOfPriorityAdServerFilterCompensation.php 2409 2005-04-07 14:28:24Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/FilterCompensation.php';

/**
 * A class for testing the Maintenance_Priority_AdServer_FilterCompensation class.
 */
class Maintenance_TestOfPriorityAdServerFilterCompensation extends UnitTestCase
{
    
    /**
     * The constructor method.
     */
    function Maintenance_TestOfPriorityAdServerFilterCompensation()
    {        
        $this->UnitTestCase();
    }
    
    /**
     * Test the creation of an Maintenance_Priority_AdServer_FilterCompensation_Normal
     * class via the factory.
     */
    function testCreate()
    {
        MAX::debug('Running test', PEAR_LOG_INFO);
        $obj = Maintenance_Priority_AdServer_FilterCompensation::instance();
        $this->assertEqual(strtolower(get_class($obj)),
                           strtolower('Maintenance_Priority_AdServer_FilterCompensation_Normal'));
    }
    
}

?>
